kdecore Library: KConfigSkeletonItem Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KConfigSkeletonItem Class Reference

Class for storing a preferences setting. More...

`#include <kconfigskeleton.h>`

Collaboration diagram for KConfigSkeletonItem:

[legend]
List of all members.

## Public Types
typedef QValueList< KConfigSkeletonItem * > | List
typedef QDict< KConfigSkeletonItem > | Dict
typedef QDictIterator< KConfigSkeletonItem > | DictIterator
## Public Member Functions
| KConfigSkeletonItem (const QString &group, const QString &key)
virtual | ~KConfigSkeletonItem ()
void | setGroup (const QString &group)
QString | group () const
void | setKey (const QString &key)
QString | key () const
void | setName (const QString &name)
QString | name () const
void | setLabel (const QString &l)
QString | label () const
void | setWhatsThis (const QString &w)
QString | whatsThis () const
virtual void | readConfig (KConfig *)=0
virtual void | writeConfig (KConfig *)=0
virtual void | readDefault (KConfig *)=0
virtual void | setProperty (const QVariant &p)=0
virtual QVariant | property () const =0
virtual QVariant | minValue () const
virtual QVariant | maxValue () const
virtual void | setDefault ()=0
virtual void | swapDefault ()=0
bool | isImmutable () const
## Protected Member Functions
void | readImmutability (KConfig *config)
## Protected Attributes
QString | mGroup
QString | mKey
QString | mName

## Detailed Description

Class for storing a preferences setting.

Author:
  Cornelius Schumacher

See also:
  KConfigSkeleton

This class represents one preferences setting as used by KConfigSkeleton. Subclasses of KConfigSkeletonItem implement storage functions for a certain type of setting. Normally you don't have to use this class directly. Use the special addItem() functions of KConfigSkeleton instead. If you subclass this class you will have to register instances with the function KConfigSkeleton::addItem().

Definition at line 50 of file kconfigskeleton.h.

## Constructor & Destructor Documentation

KConfigSkeletonItem::KConfigSkeletonItem | ( | const QString & | group,
|  | const QString & | key
| ) | `[inline]`

  | Constructor. Parameters:
  | group | Config file group.
  | key | Config file key.
Definition at line 63 of file kconfigskeleton.h.

virtual KConfigSkeletonItem::~KConfigSkeletonItem | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 71 of file kconfigskeleton.h.

## Member Function Documentation

void KConfigSkeletonItem::setGroup | ( | const QString & | group | ) | `[inline]`

| Set config file group. Definition at line 78 of file kconfigskeleton.h.

QString KConfigSkeletonItem::group | ( |  | ) | const`[inline]`

| Return config file group. Definition at line 86 of file kconfigskeleton.h.

void KConfigSkeletonItem::setKey | ( | const QString & | key | ) | `[inline]`

| Set config file key. Definition at line 94 of file kconfigskeleton.h.

QString KConfigSkeletonItem::key | ( |  | ) | const`[inline]`

| Return config file key. Definition at line 102 of file kconfigskeleton.h.

void KConfigSkeletonItem::setName | ( | const QString & | name | ) | `[inline]`

| Set internal name of entry. Definition at line 110 of file kconfigskeleton.h.

QString KConfigSkeletonItem::name | ( |  | ) | const`[inline]`

| Return internal name of entry. Definition at line 118 of file kconfigskeleton.h.

void KConfigSkeletonItem::setLabel | ( | const QString & | l | ) | `[inline]`

| Set label providing a translated one-line description of the item. Definition at line 126 of file kconfigskeleton.h.

QString KConfigSkeletonItem::label | ( |  | ) | const`[inline]`

| Return label of item. See setLabel(). Definition at line 134 of file kconfigskeleton.h.

void KConfigSkeletonItem::setWhatsThis | ( | const QString & | w | ) | `[inline]`

| Set WhatsThis description og item. Definition at line 142 of file kconfigskeleton.h.

QString KConfigSkeletonItem::whatsThis | ( |  | ) | const`[inline]`

| Return WhatsThis description of item. See setWhatsThis(). Definition at line 150 of file kconfigskeleton.h.

virtual void KConfigSkeletonItem::readConfig | ( | KConfig * |  | ) | `[pure virtual]`

| This function is called by KConfigSkeleton to read the value for this setting from a config file. value. Implemented in KConfigSkeleton::ItemDouble.

virtual void KConfigSkeletonItem::writeConfig | ( | KConfig * |  | ) | `[pure virtual]`

| This function is called by KConfigSkeleton to write the value of this setting to a config file.

virtual void KConfigSkeletonItem::readDefault | ( | KConfig * |  | ) | `[pure virtual]`

| Read global default value.

virtual void KConfigSkeletonItem::setProperty | ( | const QVariant & | p | ) | `[pure virtual]`

| Set item to `p`. Implemented in KConfigSkeleton::ItemDouble. Referenced by KConfigDialogManager::updateSettings().

virtual QVariant KConfigSkeletonItem::property | ( |  | ) | const`[pure virtual]`

| Return item as property. Implemented in KConfigSkeleton::ItemDouble. Referenced by KConfigDialogManager::hasChanged(), KConfigDialogManager::updateSettings(), and KConfigDialogManager::updateWidgets().

virtual QVariant KConfigSkeletonItem::minValue | ( |  | ) | const`[inline, virtual]`

| Return minimum value of item or invalid if not specified. Reimplemented in KConfigSkeleton::ItemDouble. Definition at line 186 of file kconfigskeleton.h.

virtual QVariant KConfigSkeletonItem::maxValue | ( |  | ) | const`[inline, virtual]`

| Return maximum value of item or invalid if not specified. Reimplemented in KConfigSkeleton::ItemDouble. Definition at line 191 of file kconfigskeleton.h.

virtual void KConfigSkeletonItem::setDefault | ( |  | ) | `[pure virtual]`

| Sets the current value to the default value.

virtual void KConfigSkeletonItem::swapDefault | ( |  | ) | `[pure virtual]`

| Exchanges the current value with the default value Used by KConfigSkeleton::useDefaults(bool);.

bool KConfigSkeletonItem::isImmutable | ( |  | ) | const`[inline]`

| Return if the entry can be modified. Definition at line 207 of file kconfigskeleton.h. Referenced by KConfigSkeleton::isImmutable(), and KConfigDialogManager::updateWidgets().

void KConfigSkeletonItem::readImmutability | ( | KConfig * | config | ) | `[protected]`

  | sets mIsImmutable to true if mKey in config is immutable Parameters:
  | config | KConfig to check if mKey is immutable in
Definition at line 35 of file kconfigskeleton.cpp. Referenced by KConfigSkeleton::ItemDouble::readConfig().

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:34 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003